jQuery("document").ready(function($){
	/* Scroll button */
	var panel=($(window).scrollTop()>400)?$('.goup').addClass('fixed'):$('.goup');
	$(window).scroll(function(){
		if($(this).scrollTop() > 400 && !panel.hasClass('fixed')){
			panel.addClass('fixed');
		}else if($(this).scrollTop() < 400 && panel.hasClass('fixed')){
			panel.removeClass('fixed');
	}});
	
	/* Scroll on click */
	$(".back2top a, .goup a, a.top").click(function(event){
		event.preventDefault();
		var full_url = this.href;
		var parts = full_url.split("#");
		var trgt = parts[1];
		var target_offset = $("#"+trgt).offset();
		var target_top = target_offset.top;
		$('html, body').animate({scrollTop:target_top}, 500);
	});
	
	/* Fixed nav */
	var nav = $('#page-header'),
		navTop = $('.header-navbar').offset().top;

	$(window).on('scroll', function () {
		if ($(this).scrollTop() > navTop) {
			nav.addClass("fixed-nav");
		} else {
			nav.removeClass("fixed-nav");
		}
	});

	/* Online statistic */
	$('.ca-aside .online-list').each(function() {
		if( $(this).innerHeight() > 400 ){
			$(this).css('height','400px').addClass("online-list-height").append('<span class="online-list-expand" />');
		}
	});
	$('span.online-list-expand').each(function() {
		$(this).click(function() {
			$(this).parent('.online-list').toggleClass('online-list-open');
		});
	});
});
